org.bdgenomics.adam.cli

# PluginExecutor

#### class PluginExecutor extends BDGSparkCommand[PluginExecutorArgs]

Linear Supertypes
BDGSparkCommand[PluginExecutorArgs], Logging, BDGCommand, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PluginExecutor
2. BDGSparkCommand
3. Logging
4. BDGCommand
5. Runnable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PluginExecutor(args: PluginExecutorArgs)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val args: PluginExecutorArgs

   Attributes
     protected
   Definition Classes
     PluginExecutor → BDGSparkCommand

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val companion: BDGCommandCompanion

   Definition Classes
     PluginExecutor → BDGCommand

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def initializeMetrics(sc: SparkContext): Option[MetricsListener]

    Definition Classes
      BDGSparkCommand

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

18. #### def loadAccessControl[Input](accessControl: String)(implicit arg0: (Input) ⇒ SpecificRecord, arg1: Manifest[Input]): AccessControl[Input]

19. #### def loadPlugin[Input, Output](pluginName: String)(implicit arg0: (Input) ⇒ SpecificRecord, arg1: Manifest[Input]): ADAMPlugin[Input, Output]

20. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### def output[Output](sc: SparkContext, output: RDD[Output]): Unit

36. #### def printMetrics(totalTime: Long, metricsListener: Option[MetricsListener]): Unit

    Definition Classes
      BDGSparkCommand

37. #### def run(sc: SparkContext): Unit

    Definition Classes
      PluginExecutor → BDGSparkCommand

38. #### def run(): Unit

    Definition Classes
      BDGSparkCommand → Runnable

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BDGSparkCommand[PluginExecutorArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped